"The Unarchiver/Unarchive To Current Folder" = "The Unarchiver/Descomprimir A Carpeta Actual";

"The Unarchiver/Unarchive To Desktop" = "The Unarchiver/Descomprimir A Escritorio";

"The Unarchiver/Unarchive To..." = "The Unarchiver/Descomprimir A...";